Plugin Development using IDEA Plugin SDK with target IDE CLion

I am trying to develop a Plugin for CLion. As a build System I am using gradle. The issue is that I can not tell the Gradle that I want to develop a plugin for CLion. Here is what I tried:

Using the version tag in Gradle:


intellij {
version 'CL-2018.3.2'
// version '2018.3.2'
type 'CL'
}

If I use this approach I cannot resolve the dependence CLion:

"Could not find com.jetbrains.intellij.clion:clion:2018.3.2.
Searched in the following locations:"

I tried using my already locally installed CLion for compilation:

intellij {
type 'CL'
localPath '/Applications/CLion.app'
}

If I do this all my dependencies I need are available (no errors during Gradle build etc.). But as soon as I try to compile my plugin I get the following error:

Could not find com.jetbrains.intellij.java:java-compiler-ant-tasks:183.4284.

This is my Plugin XML:

<idea-plugin>
<id>my.plugin.MyArtefact</id>
<name>myName</name>
<vendor email="my.email@company.com" url="https://company.com">Company Name.</vendor>

<description><![CDATA[
A Description.
]]></description>

<!-- please see http://www.jetbrains.org/intellij/sdk/docs/basics/getting_started/plugin_compatibility.html
on how to target different products -->
<!-- uncomment to enable plugin in all products
<depends>com.intellij.modules.clion</depends>
-->

<depends>com.intellij.modules.lang</depends>
<depends>com.intellij.modules.clion</depends>

<extensions defaultExtensionNs="com.intellij">
<!-- Add your extensions here -->
</extensions>

<actions>
<!-- Add your actions here -->
<group id="MyPlugin.SampleMenu" text="MyText" description="my menu">
<add-to-group group-id="MainMenu" anchor="last"/>
<action id="Myplugin.Textboxes" class="HelloAction" text="Hello" description="Says hello"/>
</group>
</actions>
</idea-plugin>

I have searched for resources or an example for a lion plugin project. But have not found anything I could use or any information on my issues. If I configure this plugin to work with IntelliJ I have no issues compiling / testing my plugin.

11 comments
Official comment

Please try

intellij {
   version '183.4925'
   type 'CL'
}

Investigating why there is no "2018.3.2" version published.

CLion artifacts publishing is under development and will be officially tested when 2019.1 EAP starts (mid/end January) CPP-14770.

The currently published version (183.4925) is an early pilot, you can use it at your own risk.

1

intellij {
   version '183.4925'
   type 'CL'
}

seems to be working, thank you.

 

EDIT: Spoke to early ;)

I get the following error now:

Could not find com.jetbrains.intellij.java:java-compiler-ant-tasks:183.4925.

Do I have to wait for the 2019.1 Version for this to be resolved?

1

The newer versions of gradle-intellij-plugin expect additional artifacts published that are not yet available for CLion 2018.1 builds.

The EAP is expected to start in a week or two, so it's better to wait. Or you could try the older plugin version (0.4.0), not sure if it will work, though

0

I will just wait. A week or two do not matter to me. 

0

 

intellij {
version 'CL-2018.3.3'
pluginName 'test_name'
}

 

Could not find com.jetbrains.intellij.java:java-compiler-ant-tasks:183.5153.

 

What proper command intellij.version now?

0

I cannot reproduce this problem locally. Please create a bug report with full build.gradle and specify IDE version you're using. Thanks. https://youtrack.jetbrains.com/issues/IDEA

0

Any update on this issue? I am facing the same issue please somebody give a solution!

0

@Tharsanan15 Please clarify what issue you're encountering and attach relevant parts of your build.gradle file. Thanks.

0

I am developing a Plugin for Clion IDE in Intellij idea. I am using gradle as a build system. What i need is when i run the runIde i need to run my plugin on a CLion IDE. 

I tried the solution :

intellij {
   version '183.4925'
   type 'CL'
}

which you already provided.

But i got these error : 

Could not find com.jetbrains.intellij.clion:clion:183.4925.
Searched in the following locations:
- https://repo.maven.apache.org/maven2/com/jetbrains/intellij/clion/clion/183.4925/clion-183.4925.pom
- https://repo.maven.apache.org/maven2/com/jetbrains/intellij/clion/clion/183.4925/clion-183.4925.jar
- https://cache-redirector.jetbrains.com/www.jetbrains.com/intellij-repository/releases/com/jetbrains/intellij/clion/clion/183.4925/clion-183.4925.pom
- https://cache-redirector.jetbrains.com/www.jetbrains.com/intellij-repository/releases/com/jetbrains/intellij/clion/clion/183.4925/clion-183.4925.jar

My whole build.gradle file is : 

plugins {
id 'java'
id 'org.jetbrains.intellij' version '0.4.4'
}

group 'org.sosy.cpa'
version '1.0-SNAPSHOT'

sourceCompatibility = 1.8

repositories {
mavenCentral()
}

dependencies {
testCompile group: 'junit', name: 'junit', version: '4.12'
}

publishPlugin {
username intellijPublishUsername
password intellijPublishPassword
}


intellij {
version '183.4925'
type 'CL'
pluginName 'cpa-clion'
//intellij.updateSinceUntilBuild false
}


patchPluginXml {
changeNotes """
This one is our first release. first release wil contain a prototype for
the CPA checker plugin."""
}
0

CLion 2018.1 is not distributed as gradle dependency.

Please try specifying

 version '191-EAP-SNAPSHOT'

or

 version 'LATEST-EAP-SNAPSHOT'

More details in https://www.jetbrains.com/help/clion/2019.1/develop-plugins-for-clion.html

0

Please sign in to leave a comment.